package com.qmth.digit.print.business.config;

import com.qmth.digit.print.business.domain.AliYunOssDomain;
import com.qmth.digit.print.business.domain.PrefixUrlDomain;
import com.qmth.digit.print.business.domain.SysDomain;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 数据字典
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
@Configuration
public class DictionaryConfig {

    /**
     * 模块前缀
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "prefix.url")
    public PrefixUrlDomain prefixUrlDomain() {
        return new PrefixUrlDomain();
    }

    /**
     * 系统配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "sys.config")
    public SysDomain sysDomain() {
        return new SysDomain();
    }

    /**
     * 阿里云oss配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "aliyun.oss")
    public AliYunOssDomain aliYunOssDomain() {
        return new AliYunOssDomain();
    }
}
