package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 题卡规则
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("basic_card_rule")
public class BasicCardRule extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 题卡规则名称
     */
    private String name;
    /**
     * PRINT-印刷条码，PASTE-粘贴条码，FILL-卡号填涂
     */
    @TableField("exam_number_style")
    private String examNumberStyle;
    /**
     * PRINT-印刷条码，FILL-卡号填涂
     */
    @TableField("paper_type")
    private String paperType;
    /**
     * 0-禁用，1-启用
     */
    @TableField("exam_absent")
    private Integer examAbsent;
    /**
     * 0-禁用，1-启用
     */
    @TableField("write_sign")
    private Integer writeSign;
    /**
     * 必选字段
     */
    @TableField("required_fields")
    private String requiredFields;
    /**
     * 扩展字段
     */
    @TableField("extend_fields")
    private String extendFields;
    /**
     * 题卡标题规则
     */
    @TableField("title_rule")
    private String titleRule;
    /**
     * 注意事项
     */
    private String attention;
    /**
     * 客观题注意事项
     */
    @TableField("objective_attention")
    private String objectiveAttention;
    /**
     * 主观题注意事项
     */
    @TableField("subjective_attention")
    private String subjectiveAttention;
    /**
     * 0-禁用，1-启用
     */
    private Integer enable;
    /**
     * 备注
     */
    private String remark;


    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExamNumberStyle() {
        return examNumberStyle;
    }

    public void setExamNumberStyle(String examNumberStyle) {
        this.examNumberStyle = examNumberStyle;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Integer getExamAbsent() {
        return examAbsent;
    }

    public void setExamAbsent(Integer examAbsent) {
        this.examAbsent = examAbsent;
    }

    public Integer getWriteSign() {
        return writeSign;
    }

    public void setWriteSign(Integer writeSign) {
        this.writeSign = writeSign;
    }

    public String getRequiredFields() {
        return requiredFields;
    }

    public void setRequiredFields(String requiredFields) {
        this.requiredFields = requiredFields;
    }

    public String getExtendFields() {
        return extendFields;
    }

    public void setExtendFields(String extendFields) {
        this.extendFields = extendFields;
    }

    public String getTitleRule() {
        return titleRule;
    }

    public void setTitleRule(String titleRule) {
        this.titleRule = titleRule;
    }

    public String getAttention() {
        return attention;
    }

    public void setAttention(String attention) {
        this.attention = attention;
    }

    public String getObjectiveAttention() {
        return objectiveAttention;
    }

    public void setObjectiveAttention(String objectiveAttention) {
        this.objectiveAttention = objectiveAttention;
    }

    public String getSubjectiveAttention() {
        return subjectiveAttention;
    }

    public void setSubjectiveAttention(String subjectiveAttention) {
        this.subjectiveAttention = subjectiveAttention;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}
