package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 通用模板
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("basic_template")
public class BasicTemplate extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 模板名称
     */
    private String name;
    /**
     * 模板类型：GENERIC-通卡模板，VARIABLE-变量印品模板，ORDINARY-普通印品模板
     */
    private String type;
    /**
     * template_type值为VARIABLE、ORDINARY时，不为空。
            SIGN-签到表，PACKAGE-卷袋贴，CHECK_IN-登记表
     */
    private String classify;
    /**
     * 模板附件ID（保存到附件表ID）
     */
    @TableField("attachment_id")
    private Long attachmentId;
    /**
     * 0-禁用，1-启用
     */
    private Integer enable;
    /**
     * 备注
     */
    private String remark;


    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}
