package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 考务数据
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_detail")
public class ExamDetail extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 印刷计划ID
     */
    @TableField("print_plan_id")
    private Long printPlanId;
    @TableField("print_plan_name")
    private String printPlanName;
    /**
     * 考试计划名称
     */
    @TableField("exam_name")
    private String examName;
    /**
     * 考试日期
     */
    @TableField("exam_start_time")
    private Long examStartTime;
    @TableField("exam_end_time")
    private Long examEndTime;
    @TableField("exam_place")
    private String examPlace;
    /**
     * 总科次：考场总科次
     */
    @TableField("total_subjects")
    private Integer totalSubjects;
    @TableField("exam_room")
    private String examRoom;
    @TableField("print_progress")
    private Double printProgress;
    /**
     * 打印员：一个考场只能被一个打印员认领
     */
    @TableField("print_user")
    private String printUser;
    /**
     * 考场代码：卷袋贴、签到表上条码
     */
    @TableField("package_code")
    private String packageCode;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(Long printPlanId) {
        this.printPlanId = printPlanId;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public Double getPrintProgress() {
        return printProgress;
    }

    public void setPrintProgress(Double printProgress) {
        this.printProgress = printProgress;
    }

    public String getPrintUser() {
        return printUser;
    }

    public void setPrintUser(String printUser) {
        this.printUser = printUser;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

}
