package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 印刷计划管理
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_print_plan")
public class ExamPrintPlan extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 印刷计划名称
     */
    private String name;
    /**
     * 考试开始时间
     */
    @TableField("exam_start_time")
    private Long examStartTime;
    /**
     * 考试结束时间
     */
    @TableField("exam_end_time")
    private Long examEndTime;
    /**
     * {“PAPER”, "CARD"}
     */
    @TableField("print_content")
    private String printContent;
    /**
     * PLACE-按考点，ROOM-按考场
     */
    @TableField("backup_method")
    private String backupMethod;
    @TableField("backup_count")
    private Integer backupCount;
    /**
     * ONE-只抽一次，CIRCLE-可循环抽取
     */
    @TableField("draw_rule")
    private String drawRule;
    /**
     * [
     * {
     * "type": "SIGN",
     * "usedId": 1,
     * "backupMethod": "ROOM",
     * "backupCount": 3
     * },
     * {
     * "type": "PACKAG",
     * "usedId": 3,
     * "backupMethod": "STUDENT",
     * "backupCount": 5
     * }
     * ]
     */
    @TableField("variable_content")
    private String variableContent;
    /**
     * [
     * {
     * "type": "CHECK_IN",
     * "usedId": 1,
     * "backupMethod": "ROOM",
     * "backupCount": 3
     * }
     * ]
     */
    @TableField("ordinary_content")
    private String ordinaryContent;
    private String status;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getPrintContent() {
        return printContent;
    }

    public void setPrintContent(String printContent) {
        this.printContent = printContent;
    }

    public String getBackupMethod() {
        return backupMethod;
    }

    public void setBackupMethod(String backupMethod) {
        this.backupMethod = backupMethod;
    }

    public Integer getBackupCount() {
        return backupCount;
    }

    public void setBackupCount(Integer backupCount) {
        this.backupCount = backupCount;
    }

    public String getDrawRule() {
        return drawRule;
    }

    public void setDrawRule(String drawRule) {
        this.drawRule = drawRule;
    }

    public String getVariableContent() {
        return variableContent;
    }

    public void setVariableContent(String variableContent) {
        this.variableContent = variableContent;
    }

    public String getOrdinaryContent() {
        return ordinaryContent;
    }

    public void setOrdinaryContent(String ordinaryContent) {
        this.ordinaryContent = ordinaryContent;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
