package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.digit.print.business.base.BaseEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 命题任务
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_task")
public class ExamTask extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("school_id")
    private Long schoolId;
    /**
     * 课程代码
     */
    @TableField("course_code")
    private String courseCode;
    /**
     * 课程名称
     */
    @TableField("course_name")
    private String courseName;
    /**
     * 适用专业
     */
    private String specialty;
    /**
     * 试卷编号
     */
    @TableField("paper_number")
    private String paperNumber;
    /**
     * 命题开始时间
     */
    @TableField("start_time")
    private Date startTime;
    /**
     * 命题结束时间
     */
    @TableField("end_time")
    private Date endTime;
    /**
     * 题卡规则
     */
    @TableField("card_rule_id")
    private Long cardRuleId;
    /**
     * 命题老师
     */
    @TableField("user_id")
    private Long userId;
    /**
     * NEW-新建任务，STAGE-暂存（命题中），SUBMIT-确认提交，CANCEL-撤回
     */
    private String status;
    /**
     * 审核状态：PASS-审核通过，NOT_PASS-审核不通过，默认为空-未审核
     */
    @TableField("review_status")
    private String reviewStatus;
    /**
     * 0-禁用，1-启用
     */
    private Integer enable;
    @TableField("batch_no")
    private String batchNo;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getCardRuleId() {
        return cardRuleId;
    }

    public void setCardRuleId(Long cardRuleId) {
        this.cardRuleId = cardRuleId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(String reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

}
