package com.qmth.digit.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.digit.print.business.base.BaseEntity;
import com.qmth.digit.print.common.enums.PrivilegeTypeEnum;

import java.io.Serializable;

/**
 * <p>
 * 菜单权限表
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("sys_privilege")
public class SysPrivilege extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 学校ID
     */
    @TableField("school_id")
    private Long schoolId;
    /**
     * 菜单名称
     */
    private String name;
    /**
     * URL地址
     */
    private String url;
    /**
     * M-菜单，F-操作
     */
    private PrivilegeTypeEnum type;
    /**
     * 上级菜单
     */
    @TableField("parent_id")
    private Long parentId;
    @TableField("sort_number")
    private Integer sortNumber;
    /**
     * 备注
     */
    private String remark;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public PrivilegeTypeEnum getType() {
        return type;
    }

    public void setType(PrivilegeTypeEnum type) {
        this.type = type;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getSortNumber() {
        return sortNumber;
    }

    public void setSortNumber(Integer sortNumber) {
        this.sortNumber = sortNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}
