package com.qmth.digit.print.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.digit.print.business.entity.SysRole;
import com.qmth.digit.print.business.entity.SysRoleCourse;
import com.qmth.digit.print.business.mapper.SysRoleCourseMapper;
import com.qmth.digit.print.business.service.SysRoleCourseService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 角色关联课程 服务实现类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@Service
public class SysRoleCourseServiceImpl extends ServiceImpl<SysRoleCourseMapper, SysRoleCourse> implements SysRoleCourseService {

    @Override
    public void removeByRoleId(Long id) {
        UpdateWrapper<SysRoleCourse> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(SysRoleCourse::getRoleId, id);
        this.remove(updateWrapper);
    }

    @Override
    public void saveBatch(SysRole role) {
        List<SysRoleCourse> list = new ArrayList<>();
        for (Long courseId : role.getCourseIds()) {
            SysRoleCourse sysRoleCourse = new SysRoleCourse();
            sysRoleCourse.setRoleId(role.getId());
            sysRoleCourse.setCourseId(courseId);
            list.add(sysRoleCourse);
        }
        this.saveBatch(list);
    }
}
