package com.qmth.digit.print.auth;

import com.qmth.boot.core.security.model.AccessEntity;
import com.qmth.boot.core.security.service.AuthorizationService;
import com.qmth.boot.tools.signature.SignatureType;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

@Component
public class DigitPrintAuthenticationService implements AuthorizationService {

    List<String> list = Arrays.asList("/api/admin/test", "/api/exam/test");

    @Override
    public AccessEntity findByIdentity(String identity, SignatureType signatureType, String path) {
        return new DigitPrintSession(identity, SignatureType.TOKEN);
    }

    @Override
    public boolean hasPermission(AccessEntity accessEntity, String path) {
        for (String s : list) {
            if (s.contains(path)) {
                return true;
            }
        }
        return false;
    }
}
